Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class StatusType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.StatusType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class StatusType extends Object implements Serializable
Generiek type voor de status in de historiek van statussen in een beeld.

Java class for StatusType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationStatusType"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatusType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getReason()`
  Reden van de status, is niet altijd ingevuld.
  `ApplicationStatusType`
  `getStatus()`
  Status van de aanvraag.
  `Instant`
  `getStatusDate()`
  Datum van de status.
  `void`
  `setReason(String value)`
  Sets the value of the reason property.
  `void`
  `setStatus(ApplicationStatusType value)`
  Sets the value of the status property.
  `void`
  `setStatusDate(Instant value)`
  Sets the value of the statusDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatusType

    public StatusType()

- ## Method Details

  - ### getStatus

    public ApplicationStatusType getStatus()
    Status van de aanvraag.
    Returns:
      possible object is `ApplicationStatusType`

  - ### setStatus

    public void setStatus(ApplicationStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `ApplicationStatusType`
    See Also:
      - `getStatus()`

  - ### getStatusDate

    public Instant getStatusDate()
    Datum van de status.
    Returns:
      possible object is `String`

  - ### setStatusDate

    public void setStatusDate(Instant value)
    Sets the value of the statusDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStatusDate()`

  - ### getReason

    public String getReason()
    Reden van de status, is niet altijd ingevuld.
    Returns:
      possible object is `String`

  - ### setReason

    public void setReason(String value)
    Sets the value of the reason property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReason()`